<?php
/**
* @package  EasyBlog YooTheme
* @copyright Copyright (C) Stack Ideas Sdn Bhd. All rights reserved.
* @license  GNU/GPL, see LICENSE.php
* EasyBlog is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

use Joomla\CMS\Plugin\CMSPlugin;
use YOOtheme\Application;
defined('_JEXEC') or die('Unauthorized Access');

class plgSystemYoothemeeasyblog extends CMSPlugin
{
	public function onAfterInitialise()
	{
		// Check if YOOtheme Pro is loaded
		if (!class_exists(Application::class, false)) {
			return;
		}

		$file = JPATH_ADMINISTRATOR . '/components/com_easyblog/includes/easyblog.php';

		if (!\JFile::exists($file)) {
			return;
		}

		require_once $file;

		// Load all modules
		$app = Application::getInstance();
		$app->load(__DIR__ . '/modules/*/bootstrap.php');
	}
}