<?php
/**
* @package  EasyBlog YooTheme
* @copyright Copyright (C) Stack Ideas Sdn Bhd. All rights reserved.
* @license  GNU/GPL, see LICENSE.php
* EasyBlog is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

use YOOtheme\Config;
use YOOtheme\Path;

defined('_JEXEC') or die('Unauthorized Access');

if (!class_exists('SettingsListener')) {
	class SettingsListener
	{
		public static function initCustomizer(Config $config)
		{
			// Add panel.
			$config->set('customizer.panels.easyblog', [
				'title' => 'easyblog',
				'width' => 400,
				'fields' => [
					'eb.elements.easyblog-posts' => [
						'type' => 'posts',
						'label' => 'EasyBlog Posts',
						'default' => true,
						'text' => 'Add to the element library',
					]
				]
			]);

			$config->set('customizer.sections.settings.fields.settings.item.easyblog', 'Yootheme EasyBlog');
		}
	}
}
