<?php
/**
* @package  EasyBlog YooTheme
* @copyright Copyright (C) Stack Ideas Sdn Bhd. All rights reserved.
* @license  GNU/GPL, see LICENSE.php
* EasyBlog is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
defined('_JEXEC') or die('Unauthorized Access');

class plgSystemYoothemeeasyblogInstallerScript
{
	public function install($parent)
	{
		// Enable the extension
		$this->enablePlugin();

		return true;
	}

	public function uninstall($parent)
	{
	}

	public function update($parent)
	{
	}

	public function preflight($type, $parent)
	{
		// TODO: add checking for EB version and Yootheme version.
	}

	private function enablePlugin()
	{
		$db = JFactory::getDbo();
		$query = 'UPDATE `#__extensions` SET `enabled` = ' . $db->Quote(1) . ' WHERE `type` = ' . $db->Quote('plugin') . ' AND `folder` = ' . $db->Quote('system') . ' AND `element` = ' . $db->Quote('yoothemeeasyblog');

		$db->setQuery($query);
		$db->execute();

		return true;
	}
}